Bug 1498953 - Add libsmbios to comps file for release
Summary: Add libsmbios to comps file for release
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng
Version: 7.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Lubos Kocman
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 1463329
TreeView+ depends on / blocked
 
Reported: 2017-10-05 15:45 UTC by Eng Ops Maitai User
Modified: 2018-04-10 10:17 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 10:15:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:0700 None None None 2018-04-10 10:17:00 UTC

Comment 4 Lubos Kocman 2017-11-21 16:31:08 UTC
Hi This one is tricky claimed to be NO_OP for RCM however it's not really required by fwupdate

pjones what's the deal here? Is the build already built? We might need to add it to comps since I don't see a current requirement fwupdate -> libsmbios

fwupdate is in @base, I don't necessarily want to add more packages into @base if necessary. This should be hadled by requires.

Lubos

Comment 5 Karl Hastings 2017-11-21 20:00:29 UTC
Lubos,

fwupdate and fwupd should both require libsmbios.  At least they do in Fedora 27.

Richard,

Any thoughts on why the libsmbios requires is missing from fwupd?

Comment 6 Karl Hastings 2018-02-13 19:45:20 UTC
Lubos,

Some additional background.

Richard cannot submit the build that requires libsmbios because libsmbios-devel isn't in the buildroot.  libsmbios-devel isn't in the buildroot because Peter can't push it because the "Product Listing" is missing from Errata Tool.

I'm not sure what's missing to enable the product listing, but it looks like it's safe to say that this is most definitely *not* a no-op.

Comment 7 Yaakov Selkowitz 2018-02-14 04:10:36 UTC
To clarify, presence in buildroot and in product listings are two unrelated things.  I have pushed libsmbios to buildroot, so fwupd (not to be confused with fwupdate, which does not show such a BR atm) can now be built therewith.  Once that is done, the runtime dependency should pull it in; whatever else is needed thereafter is up to RCM.

Comment 12 errata-xmlrpc 2018-04-10 10:15:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:0700


Note You need to log in before you can comment on or make changes to this bug.